Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.field
Class RtfAnchor

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.field.RtfField
              com.lowagie.text.rtf.field.RtfAnchor

All Implemented Interfaces:
  Element, RtfBasicElement

    public class RtfAnchor

extends RtfField

The RtfAnchor is the RTF representation of an Anchor object.

Version:
  $Id: RtfAnchor.java 2998 2007-11-20 23:05:13Z hallm $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Werner Daehn (Werner.Daehn@BusinessObjects.com), Thomas Bickel (tmb99@inode.at)

Field Summary
`private RtfPhrase` | `content` The RtfPhrase to display for the url
`private static byte[]` | `HYPERLINK` Constant for a hyperlink
`private String` | `url` The url of this RtfAnchor

Fields inherited from class com.lowagie.text.rtf.field.RtfField
`document`

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, ENCODING, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`RtfAnchor(RtfDocument doc, Anchor anchor)` Constructs a RtfAnchor based on a RtfField

Method Summary
`protected byte[]` | `writeFieldInstContent()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeFieldInstContent(OutputStream)`, scheduled for removal at or after 2.1.0
`protected void` | `writeFieldInstContent(OutputStream result)` Write the field instructions for this RtfAnchor.
`protected byte[]` | `writeFieldResultContent()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeFieldResultContent(OutputStream)`, scheduled for removal at or after 2.1.0
`protected void` | `writeFieldResultContent(OutputStream result)` Write the field result for this RtfAnchor.

Methods inherited from class com.lowagie.text.rtf.field.RtfField
`isEmpty, isFieldAlt, isFieldDirty, isFieldEdit, isFieldLocked, isFieldPrivate, setFieldAlt, setFieldDirty, setFieldEdit, setFieldLocked, setFieldPrivate, setFont, setInHeader, setInTable, setRtfDocument, write, writeContent`

Methods inherited from class com.lowagie.text.Chunk
`addToArray, append, content, font, getAttributes, getChunks, getContent, getFont, getHorizontalScaling, getImage, getKeySet, getTextRise, getWidthPoint, hasAttributes, process, setAction, setAnchor, setAnchor, setAnnotation, setAttributes, setBackground, setBackground, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HYPERLINK

    private static final byte[] HYPERLINK

  Constant for a hyperlink

### url

    private String url

  The url of this RtfAnchor

### content

    private RtfPhrase content

  The RtfPhrase to display for the url

Constructor Detail

### RtfAnchor

    public RtfAnchor(RtfDocument doc,
                     Anchor anchor)

  Constructs a RtfAnchor based on a RtfField

  Parameters:
    `doc` - The RtfDocument this RtfAnchor belongs to
    `anchor` - The Anchor this RtfAnchor is based on

Method Detail

### writeFieldInstContent

    protected byte[] writeFieldInstContent()
                                    throws IOException

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeFieldInstContent(OutputStream)`, scheduled for removal at or after 2.1.0

  Write the field instructions for this RtfAnchor. Sets the field type to HYPERLINK and then writes the url.

  Specified by:
    `writeFieldInstContent` in class `RtfField`
  Returns:
    The field instructions for this RtfAnchor
  Throws:
    `IOException`

### writeFieldInstContent

    protected void writeFieldInstContent(OutputStream result)
                                  throws IOException

  Write the field instructions for this RtfAnchor. Sets the field type to HYPERLINK and then writes the url.

  Overrides:
    `writeFieldInstContent` in class `RtfField`
  Parameters:
    `result` - The `OutputStream` to write to.
  Throws:
    `IOException` - on i/o errors.

### writeFieldResultContent

    protected byte[] writeFieldResultContent()
                                      throws IOException

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeFieldResultContent(OutputStream)`, scheduled for removal at or after 2.1.0

  Write the field result for this RtfAnchor. Writes the content of the RtfPhrase.

  Specified by:
    `writeFieldResultContent` in class `RtfField`
  Returns:
    The field result for this RtfAnchor
  Throws:
    `IOException`

### writeFieldResultContent

    protected void writeFieldResultContent(OutputStream result)
                                    throws IOException

  Write the field result for this RtfAnchor. Writes the content of the RtfPhrase.

  Overrides:
    `writeFieldResultContent` in class `RtfField`
  Parameters:
    `result` - The `OutputStream` to write to.
  Throws:
    `IOException` - on i/o errors.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD